org.eclipse.mat.hprof

## Class SeekableStream.RandomAccessInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - org.eclipse.mat.hprof.SeekableStream.RandomAccessInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

Enclosing class:
  SeekableStream

    public abstract static class SeekableStream.RandomAccessInputStream
    extends FilterInputStream

Used to wrap and indicate a underlying stream which has a position and has seek(). `FilterInputStream.close()` is called when `SeekableStream.close()` is called.

### Method Summary

### Methods inherited from class java.io.FilterInputStream

`available, close, mark, markSupported, read, read, read, reset, skip`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`